#2820 closed defect (fixed)

All SPARC64 BSPs do not Build on master

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: highest Milestone: 5.1
Component: arch/sparc Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

Recent changes broke all builds:

sparc64-rtems4.12-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../usiii/lib/include -mcpu=ultrasparc3 -DUS3 -DSUN4U -g -O2 -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT libscorecpu_a-sparc64-exception-frame-print.o -MD -MP -MF .deps/libscorecpu_a-sparc64-exception-frame-print.Tpo -c -o libscorecpu_a-sparc64-exception-frame-print.o test -f 'sparc64-exception-frame-print.c' || echo '../../../../../../../../rtems/c/src/../../cpukit/score/cpu/sparc64/'sparc64-exception-frame-print.c
sparc64-rtems4.12-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../usiii/lib/include -mcpu=ultrasparc3 -DUS3 -DSUN4U -g -O2 -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT ../no_cpu/libscorecpu_a-cpucounterread.o -MD -MP -MF ../no_cpu/.deps/libscorecpu_a-cpucounterread.Tpo -c -o ../no_cpu/libscorecpu_a-cpucounterread.o test -f '../no_cpu/cpucounterread.c' || echo '../../../../../../../../rtems/c/src/../../cpukit/score/cpu/sparc64/'../no_cpu/cpucounterread.c
In file included from ../../../../../../../../rtems/c/src/../../cpukit/score/cpu/sparc64/../no_cpu/cpucounterread.c:15:0:
../../../../cpukit/../../../usiii/lib/include/rtems/score/cpu.h: In function '_CPU_ISR_Is_enabled':
../../../../cpukit/../../../usiii/lib/include/rtems/score/cpu.h:759:12: error: 'psr' undeclared (first use in this function)

return ( psr & SPARC_PSTATE_IE_MASK ) != 0;


../../../../cpukit/../../../usiii/lib/include/rtems/score/cpu.h:759:12: note: each undeclared identifier is reported only once for each function it appears in
gmake[7]: * no_cpu/libscorecpu_a-cpucounterread.o Error 1
mv -f .deps/libscorecpu_a-context.Tpo .deps/libscorecpu_a-context.Po
In file included from ../../../../cpukit/../../../usiii/lib/include/rtems/system.h:23:0,

Change History (5)

comment:1 Changed on Nov 21, 2016 at 9:29:31 AM by Sebastian Huber <sebastian.huber@…>

In 27eccdad87a5abaa44edf756254db687a3a05be1/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on Nov 21, 2016 at 9:29:41 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In ccc92b81c9fa4a969bdcc92cf19667be105740c3/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:23:46 AM by Sebastian Huber

Component: unspecifiedarch/sparc

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.